# vim: set sw=4 ts=4 et:

Name:           pv
Version:        1.2.0
Release:        3.2
Summary:        PipeViewer - Monitor the Progress of Data through Pipes
Source:         http://pipeviewer.googlecode.com/files/pv-%{version}.tar.bz2
URL:            http://www.ivarch.com/programs/pv.shtml
Group:          System/Base
License:        Artistic License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  make gettext gettext-devel gcc glibc-devel intltool

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline.  It can be inserted into any normal pipeline between two processes
to give a visual indication of how quickly data is passing through, how long
it has taken, how near to completion it is, and an estimate of how long it
will be until completion.

%prep
%setup -q

%build
%configure \
	--enable-lfs \
	--enable-nls \
	--disable-debugging

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%find_lang "%{name}"

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc README doc/COPYING doc/NEWS doc/TODO
%{_bindir}/pv
%doc %{_mandir}/man1/pv.1%{ext_man}

%changelog
* Fri Jan 14 2011 pascal.bleser@opensuse.org
- change RPM group to System/Base instead of invalid group System/Tools
* Tue Dec 14 2010 pascal.bleser@opensuse.org
- update to 1.2.0:
  * an average rate display option was added to better show progress with bursty traffic
  * a consistent exit status is set to help script writers
  * various minor cleanups and bug fixes were made
* Tue Nov  9 2010 pascal.bleser@opensuse.org
- moved to utilities
* Thu Mar  6 2008 guru@unixtech.be
- new upstream version
* Mon Oct 22 2007 guru@unixtech.be
- moved to openSUSE Build Service
* Thu Aug 30 2007 guru@unixtech.be
- new upstream version
* Fri Aug  3 2007 guru@unixtech.be
- new upstream version
* Mon Feb  5 2007 guru@unixtech.be
- new upstream version
* Tue Feb 28 2006 guru@unixtech.be
- new upstream version
* Thu Dec  8 2005 guru@unixtech.be
- added debuginfo support
- use makeinstall macro
- use configure macro
- added autoreconf
- use install_info SUSE macros
- use find_lang macro
- rewrote spec file
- new upstream version
* Fri Jun 17 2005 guru@unixtech.be
- version 0.9.1
* Sun Nov  7 2004 guru@unixtech.be
- version 0.8.9
* Mon May  3 2004 guru@unixtech.be
- version 0.8.5
* Sun Apr 25 2004 guru@unixtech.be
- version 0.8.2
* Tue Apr 20 2004 guru@unixtech.be
- version 0.8.1
* Sun Feb  8 2004 guru@unixtech.be
- version 0.7.0
* Tue Jan  6 2004 guru@unixtech.be
- new spec-file
